# $Revision: 1.7 $, $Date: 2004/09/20 21:22:03 $
Summary:	Some X11 extensions for Tk
Summary(pl):	Rne rozszerzenia X11 do Tk
Name:		tkXwin
Version:	1.0
Release:	3
License:	distributable
Group:		Development/Languages/Tcl
Source0:	http://beepcore-tcl.sourceforge.net/%{name}-%{version}.tgz
# Source0-md5:	1750b22a9b8e68013083d058562d4b65
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-automake.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gpgme-devel
BuildRequires:	libtool
BuildRequires:	tcl-devel >= 8.4.3
BuildRequires:	tk-devel >= 8.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Some X11 extensions for Tk.

%description -l pl
Rne rozszerzenia X11 do Tk.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I config
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
/usr/lib/%{name}*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tkXwin.spec,v $
Revision 1.7  2004/09/20 21:22:03  havner
- rel 3

Revision 1.6  2004/09/20 21:15:43  havner
- tk: /usr/lib even on amd64

Revision 1.5  2003/06/16 14:25:44  wiget
- rebuild with tk 8.4.3
- release 2

Revision 1.4  2003/05/28 13:02:17  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:27:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/01/19 22:22:04  qboosh
- pl description, BR: autoconf,automake,libtool

Revision 1.1  2003/01/13 08:27:05  jajcus
- new spec
